Show / Hide Table of Contents

# Namespace Microsoft.SqlTools.ServiceLayer.Hosting.Protocol

### Classes

#### Constants

#### EventContext

Provides context for a received event so that handlers can write events back to the channel.

#### MessageDispatcher

#### MessageParseException

#### MessageReader

#### MessageWriter

#### ProtocolEndpoint

Provides behavior for a client or server endpoint that communicates using the specified protocol.

#### RequestContext<TResult>

### Interfaces

#### IMessageSender

#### IProtocolEndpoint

A ProtocolEndpoint is used for inter-process communication. Services can register to respond to requests and events, send their own requests, and listen for notifications sent by the other side of the endpoint

### Enums

#### MessageProtocolType

Defines the possible message protocol types.